\NeedsTeXFormat{LaTeX2e}
\ProvidesClass{opensources}[1999/04/20 OpenSources class]
\DeclareOption*{\PassOptionsToClass{\CurrentOption}{report}}
\ProcessOptions\relax
\LoadClass[10pt,twoside,twocolumn]{report}

\usepackage{multicol,epsfig,wrapfig,times,fancyheadings}

\setlength{\textwidth}{18.5cm}
\setlength{\textheight}{25.85cm}
\setlength{\oddsidemargin}{-1.04cm}
\setlength{\evensidemargin}{-1.54cm}
\setlength{\topmargin}{-2.0cm}
\setlength{\headheight}{1cm}
\setlength{\headsep}{.5cm}
\setlength{\vskip}{2.2cm}

\renewcommand{\author}{\sffamily\bfseries\fontsize{12}{14}\selectfont}
\newcommand{\subject}{\rmfamily\mdseries\fontsize{10}{12}\selectfont}
\newcommand{\copyr}{{\scriptsize\copyright}}

\def\@chapter[#1]#2#3#4{\ifnum \c@secnumdepth >\m@ne
                         \refstepcounter{chapter}%
                         \typeout{\@chapapp\space\thechapter.}%
                         \addcontentsline{toc}{chapter}%
                                   {\protect\numberline{\thechapter}#1}%
                    \else
                      \addcontentsline{toc}{chapter}{#1}%
                    \fi
                    \chaptermark{#1}%
                    \addtocontents{lof}{\protect\addvspace{10\p@}}%
                    \addtocontents{lot}{\protect\addvspace{10\p@}}%
                    \if@twocolumn
                      \@topnewpage[\@makechapterhead{#2}{#3}{#4}]%
                    \else
                      \@makechapterhead{#2}{#3}{#4}%
                      \@afterheading
                    \fi}

\def\@makechapterhead#1#2#3{%
  \vspace*{20\p@}%
  {\parindent \z@ \flushright \normalfont
    \ifnum \c@secnumdepth >\m@ne
        \fontsize{100}{100}\selectfont\bfseries \thechapter
        \par\nobreak
        \vskip 40\p@
    \fi
    \interlinepenalty\@M
    \Huge\bfseries #1\par\nobreak
    \vskip 10\p@
    \flushright\huge\mdseries #2 \par\nobreak
    \vskip 30\p@
    \Large\itshape\mdseries #3 \par\nobreak
    \vskip 30\p@
  }}
\def\@schapter#1{\if@twocolumn
                   \@topnewpage[\@makeschapterhead{#1}]%
                 \else
                   \@makeschapterhead{#1}%
                   \@afterheading
                 \fi}
\def\@makeschapterhead#1{%
  \vspace*{140\p@}%
  {\parindent \z@ \flushright \normalfont
    \interlinepenalty\@M
    \Huge \bfseries  #1\par\nobreak
    \vskip 90\p@
  }}

\renewcommand\appendix{\par
  \setcounter{chapter}{0}%
  \setcounter{section}{0}%
  \renewcommand\chaptername{\appendixname}%
  \renewcommand\thechapter{\@Alph\c@chapter}}

\renewcommand\tableofcontents{%
    \chapter*{\contentsname}
    \@starttoc{toc}%
    }

\newcounter{enums}
\newenvironment{enum}
{\begin{list}{\arabic{enums}. }{\usecounter{enums}
  \setlength{\partopsep}{0mm}
  \setlength{\topsep}{4pt}
  \setlength{\parsep}{0mm}
  \setlength{\itemsep}{0pt}
  \setlength{\leftmargin}{.9cm}}}
{\end{list}}

\newenvironment{itemis}
{\begin{list}{$\bullet$}{
  \setlength{\partopsep}{0mm}
  \setlength{\topsep}{4pt}
  \setlength{\parsep}{0mm}
  \setlength{\itemsep}{0pt}
  \setlength{\leftmargin}{.7cm}}}
{\end{list}}

\renewenvironment{description}
{\begin{list}{}{
  \setlength{\partopsep}{0mm}
  \setlength{\topsep}{4pt}
  \setlength{\parsep}{0mm}
  \setlength{\itemsep}{0pt}
%  \setlength{\leftmargin}{.4cm}
}}
{\end{list}}

\renewcommand\section{\@startsection {section}{1}{\z@}
                                   {-.5em}
                                   {0.2em}
                                   {\fontsize{14pt}{16pt}\selectfont\flushleft\bfseries}}
\renewcommand\subsection{\@startsection{subsection}{4}{\z@}
                                     {-.9em}
                                     {0.2em}
                                     {\fontsize{12pt}{14pt}\selectfont\bfseries}}
\renewcommand\subsubsection{\@startsection{subsubsection}{5}{\z@}%
                                     {-.5em}
                                     {0.2em}
                                     {\normalsize\bfseries}}

